#!/usr/bin/python2
# -*- Mode:python; c-file-style:"gnu"; indent-tabs-mode:nil -*- */
#
# Copyright (C) 2014 Washington University in St. Louis
# Author: Hila Ben Abraham <hila@wustl.edu>
# See COPYING for copyright and distribution information.
#

import os
import unittest
import subprocess

class test_hub_discovery(unittest.TestCase):
  """Test case for testing NDN Hub Discovery NDN hub discovery procedure"""

  def setUp(self):
    print "\nTesting NDN hub discovery procedure"
    print "*****************************"
    os.chdir("test_hub_discovery")
    os.system("mkdir -p logs")

  def tearDown(self):
    print "********************************"
    os.chdir("..")

  def test_hub_discovery(self):
    print ">>> test hub discovery procedure <<<"
    ret = subprocess.call(["./hub-discovery-test.sh"], shell=True)
    if (ret != 0):
      self.fail(" >> TEST HUB DISCOVEY PROCEDURE FAILED")
    else:
      print ">> TEST HUB DISCOVEY PROCEDURE PASSED SUCCESSFULLY"